package com.tanpu.feo.feojob.feign.wxcp;

import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author: wangyalei
 */
@Slf4j
@Component
public class FeignbackForWxCp implements FallbackFactory<FeignClientForWxCp> {
    @Override
    public FeignClientForWxCp create(Throwable throwable) {
        return new FeignClientForWxCp() {

            @Override
            public void sendMessage(String agentId, String corpId, String openId, String value) {
                log.error("FeignbackForWxCp.sendMessage 发送客服消息给单个人参数: agentId:{},corpId:{},openId:{},value:{}", agentId, corpId, openId, value);
                log.error("FeignbackForWxCp.sendMessage 发送客服消息给单个人异常", throwable);
            }
        };
    }
}
