package com.tanpu.feo.feojob.enums;

import org.apache.commons.lang3.StringUtils;

import java.util.LinkedHashMap;
import java.util.Map;

public enum EmployeeDutyEnum {
    /**
     * 老板
     */
    BOSS(1, "b"),
    /**
     * 部门负责人
     */
    DIRECTOR(2, "d"),
    /**
     * 普通职员
     */
    STAFF(3, "s");

    public final int type;
    public final String code;


    EmployeeDutyEnum(int type, String code) {
        this.type = type;
        this.code = code;
    }

}
