package com.tanpu.feo.feojob.feign;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 接口返回对象基类
 *
 * @description:
 * @author: wanglei
 * @created: 2020/04/08 23:52
 */
@Data
@ApiModel("BaseRep")
public class BaseRep<T> {

    @ApiModelProperty(value = "返回码")
    public String statusCode;
    @ApiModelProperty(value = "返回码对应描述")
    public String message;

    @ApiModelProperty(value = "业务数据")
    public T attributes;

}
